- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::StandardConfigurator_Impl Class Reference

Servant implementation for Components::StandardConfigurator. More...

`#include <StandardConfigurator_Impl.h>`

Collaboration diagram for CIAO::StandardConfigurator_Impl:

[legend]
List of all members.

## Public Member Functions
| StandardConfigurator_Impl (Servant_Impl_Base *toconfigure)
| Constructor.
virtual | ~StandardConfigurator_Impl (void)
| Destructor.
virtual void | set_configuration (const Components::ConfigValues &descr) throw (CORBA::SystemException)
void | configure (Components::CCMObject_ptr comp) throw (CORBA::SystemException, Components::WrongComponentType)
## Private Attributes
Servant_Impl_Base * | component_

## Detailed Description

Servant implementation for Components::StandardConfigurator.

This class implements the Components::StandardConfigurator interface as defined by the CCM spcification. This class aids in setting the initial values of component attributes that are defined in the meta data.

## Constructor & Destructor Documentation

CIAO::StandardConfigurator_Impl::StandardConfigurator_Impl | ( | Servant_Impl_Base * | toconfigure | ) |

Constructor.

CIAO::StandardConfigurator_Impl::~StandardConfigurator_Impl | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void CIAO::StandardConfigurator_Impl::configure | ( | Components::CCMObject_ptr | comp | ) | throw (CORBA::SystemException, Components::WrongComponentType)

void CIAO::StandardConfigurator_Impl::set_configuration | ( | const Components::ConfigValues & | descr | ) | throw (CORBA::SystemException)`[virtual]`

This method will call set_attributes on the component that is being configured, i.e, the template method from StandardConfigurator interface.

## Member Data Documentation

Servant_Impl_Base* CIAO::StandardConfigurator_Impl::component_`[private]`

The component whose attributes are going to be configured via set_attributes

The documentation for this class was generated from the following files:

- StandardConfigurator_Impl.h
- StandardConfigurator_Impl.cpp